timblclient(1)

NAME
timblclient - a simple client to access the Tilburg Memory Based Learner Server

SYNOPSIS
timblclient -h host -p port [-i inputfile] [-i outputfile] [--batch] [-b basename]

DESCRIPTION
timblclient connects to a TimblServer on 'host':'port' and sends it the normal instructions. (see timblserver )

OPTIONS
The timblclient options are

-i inputfile
    a series of timblserver commands.

    When BATCH is specified, inputfile is supposed to be a 'normal' Timbl testfile. Every line is send to the timblserver as a 'classify' command. Default is stdin.

-o outputfile
    Where to put the results. Default is stdout.

--batch
    When --batch is specified, the input from 'inputfile' is not interpreted as timblserver commands, but as instances that will be send 'as is' prepended by a classify instruction.

-h host
    connect to the server on 'host'

-p port
    connect to 'port' on 'host'

-b basename
    set the base in TimblServer to 'base'

BUGS
This is just a simple testprogram, and rather clumsy.

AUTHORS
Ko van der Sloot timbl@uvt.nl

SEE ALSO
timbl(1) timblserver(1)